org.jboss.jca.codegenerator

## Class BaseGen

- java.lang.Object
- - org.jboss.jca.codegenerator.BaseGen

- Direct Known Subclasses:
    AbstractCodeGen, AbstractXmlGen

      public class BaseGen
      extends java.lang.Object

  Base Generation class.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseGen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeEol(java.io.Writer out)` Output eol
    `void` | `writeheader(Definition def, java.io.Writer out)` Output class head, for example license
    `void` | `writeIndent(java.io.Writer out, int indent)` Output space

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseGen

          public BaseGen()

  - ### Method Detail

    - #### writeEol

          public void writeEol(java.io.Writer out)
                        throws java.io.IOException

      Output eol
      Parameters:
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

    - #### writeIndent

          public void writeIndent(java.io.Writer out,
                                  int indent)
                           throws java.io.IOException

      Output space
      Parameters:
        `out` - Writer
        `indent` - space number
      Throws:
        `java.io.IOException` - ioException

    - #### writeheader

          public void writeheader(Definition def,
                                  java.io.Writer out)
                           throws java.io.IOException

      Output class head, for example license
      Parameters:
        `def` - definition
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)